*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdkredist.htm
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus

***************************************************************************************************************************
*-- OutPut options
***************************************************************************************************************************
#DEFINE cnOUTPUT_SCREEN			         				1
#DEFINE cnOUTPUT_PRINT			         				2
#DEFINE cnOUTPUT_EMAIL			         				3
#DEFINE cnOUTPUT_FILE		 	         				4

***************************************************************************************************************************
*-- IMAGE's output file formats
***************************************************************************************************************************
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_BMP          		1
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_JPG					2
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_GIF					3
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_TIF					4
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_PNG					5

***************************************************************************************************************************
*-- LinearGradient Mode
***************************************************************************************************************************
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_HORIZONTAL			0
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_VERTICAL			1
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL	2
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_BACKWARDDIAGONAL	3

***************************************************************************************************************************
*-- Enumeration type that defines the possible legend locations
***************************************************************************************************************************
#DEFINE cnCHART_LEGEND_POSITION_TOP						0								
#DEFINE cnCHART_LEGEND_POSITION_LEFT					1								
#DEFINE cnCHART_LEGEND_POSITION_RIGHT					2								
#DEFINE cnCHART_LEGEND_POSITION_BOTTOM					3								
#DEFINE cnCHART_LEGEND_POSITION_INSIDE_TOP_LEFT			4								
#DEFINE cnCHART_LEGEND_POSITION_INSIDE_TOP_RIGHT		5										
#DEFINE cnCHART_LEGEND_POSITION_INSIDE_BOTTOM_LEFT		6												
#DEFINE cnCHART_LEGEND_POSITION_INSIDE_BOTTOM_RIGHT		7												

***************************************************************************************************************************
*-- Enumeration that determines the type of label that is displayed for each pie slice
***************************************************************************************************************************
#DEFINE cnCHART_PIE_LABEL_TYPE_NAME_VALUE				0
#DEFINE cnCHART_PIE_LABEL_TYPE_NAME_PERCENT				1
#DEFINE cnCHART_PIE_LABEL_TYPE_NAME_VALUE_PERCENT		2
#DEFINE cnCHART_PIE_LABEL_TYPE_VALUE					3
#DEFINE cnCHART_PIE_LABEL_TYPE_PERCENT					4
#DEFINE cnCHART_PIE_LABEL_TYPE_NAME						5
#DEFINE cnCHART_PIE_LABEL_TYPE_NONE						6



LOCAL loFile
LOCAL loPieItem

LOCAL lcOutPutFileName
LOCAL lcOutPutFilePath

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcOutPutFileName = 'PieChart'
lcOutPutFilePath = JUSTPATH(SYS(16,0)) + '\OutPut\'

SET PATH TO  ..\..\..\
SET CLASSLIB TO Chart IN FRX2Any.APP ALIAS Chart	

loFile = CREATEOBJ('Chart.ChartFile')


IF TYPE('loFile') = 'O'

	WITH loFile
*-- Unlock FRX2Any
		.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- NOTE: loFile.cExportFileName should not include file extension. For example: loFile.cExportFileName = 'ReportOutput'
		.cExportFileName = lcOutPutFileName

*-- NOTE: loFile.cSaveFolder should contain only path to the output file. For example: loFile.cSaveFolder = 'c:\MyApp\MyOutPut\'
		.cSaveFolder     = lcOutPutFilePath

*-- Specifies that output file will be displayed after creation
		.nOutPutType     = cnOUTPUT_SCREEN

*-- Default value is cnIMAGE_OUTPUT_FILE_FORMAT_GIF
		.nImageFileType  = cnIMAGE_OUTPUT_FILE_FORMAT_PNG

*-- Specify Chart's properties
*-- For description of all Chart's properties and methods, please see FRX2Any help file.

		WITH .oPanel
*-- Set the main Title of the Chart
			.cTitle 	  = 'Semurg Enterprise' + CHR(10) + 'Sales by Region - 2004, $M'

			.nWidth  = 700
			.nHeight = 500

			WITH .oAxisFill
*-- Create a linear gradient color-fill
				.SetGradientFill(RGB(255,255,255), RGB(208,224,244), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL)
			ENDWITH

			WITH .oLegend
				.nPosition = cnCHART_LEGEND_POSITION_RIGHT
			ENDWITH

*-- Create some pie slices

			loPieItem = .AddPieSlice (45.34, RGB(255,255,255), RGB(255, 0, 0), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'USA') 
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2
			
			loPieItem = .AddPieSlice (40.50, RGB(255,255,255), RGB(128,0,0), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'Europe') 
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2
						
			loPieItem = .AddPieSlice (30.33, RGB(255,255,255), RGB(255,255,0), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'South America') 
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2
						
			loPieItem = .AddPieSlice (10.65, RGB(255,255,255), RGB(255,128,64), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'Africa') 
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2
						
			loPieItem = .AddPieSlice (21.91, RGB(255,255,255), RGB(0, 0, 255), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0.2, 'Canada') 
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_VALUE_PERCENT			
			loPieItem.nValueDecimalDigits = 2
						
			loPieItem = .AddPieSlice (25.12, RGB(255,255,255), RGB(255,0,255), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'Australia') 			
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2
						
			loPieItem = .AddPieSlice (19.11, RGB(255,255,255), RGB(0, 255, 0), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'Asia') 						
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_PERCENT			
			loPieItem.nValueDecimalDigits = 2

			loPieItem = .AddPieSlice (1.51, RGB(255,255,255), RGB(128, 128, 128), cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL, 0, 'Russia') 						
			loPieItem.nLabelType = cnCHART_PIE_LABEL_TYPE_NAME_VALUE_PERCENT			
			loPieItem.nValueDecimalDigits = 2


		ENDWITH


		.SAVE()

		.RELEASE()

	ENDWITH

ENDIF

