*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdkredist.htm
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


***************************************************************************************************************************
*-- OutPut options
***************************************************************************************************************************
#DEFINE cnOUTPUT_SCREEN			         				1
#DEFINE cnOUTPUT_PRINT			         				2
#DEFINE cnOUTPUT_EMAIL			         				3
#DEFINE cnOUTPUT_FILE		 	         				4

***************************************************************************************************************************
*-- IMAGE's output file formats
***************************************************************************************************************************
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_BMP          		1
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_JPG					2
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_GIF					3
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_TIF					4
#DEFINE cnIMAGE_OUTPUT_FILE_FORMAT_PNG					5

***************************************************************************************************************************
*-- LinearGradient Mode
***************************************************************************************************************************
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_HORIZONTAL			0
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_VERTICAL			1
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_FORWARDDIAGONAL	2
#DEFINE cnGDIPLUS_LINEARGRADIENTMODE_BACKWARDDIAGONAL	3

***************************************************************************************************************************
*-- Enumeration type for the various symbol shapes that are available
***************************************************************************************************************************
#DEFINE cnCHART_SYMBOL_TYPE_SQUARE						0
#DEFINE cnCHART_SYMBOL_TYPE_DIAMOND						1
#DEFINE cnCHART_SYMBOL_TYPE_TRIANGLE					2
#DEFINE cnCHART_SYMBOL_TYPE_CIRCLE						3
#DEFINE cnCHART_SYMBOL_TYPE_XCROSS						4
#DEFINE cnCHART_SYMBOL_TYPE_PLUS						5
#DEFINE cnCHART_SYMBOL_TYPE_STAR						6
#DEFINE cnCHART_SYMBOL_TYPE_TRIANGLE_DOWN				7


LOCAL laX
LOCAL laY

LOCAL loFile
LOCAL loChartCurve

LOCAL lcOutPutFileName
LOCAL lcOutPutFilePath

LOCAL lnCount


CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcOutPutFileName = 'SineWave'
lcOutPutFilePath = JUSTPATH(SYS(16,0)) + '\OutPut\'

SET PATH TO  ..\..\..\
SET CLASSLIB TO Chart IN FRX2Any.APP ALIAS Chart	

loFile = CREATEOBJ('Chart.ChartFile')


IF TYPE('loFile') = 'O'

	WITH loFile

*-- Unlock FRX2Any
		.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- NOTE: loFile.cExportFileName should not include file extension. For example: loFile.cExportFileName = 'ReportOutput'
		.cExportFileName = lcOutPutFileName

*-- NOTE: loFile.cSaveFolder should contain only path to the output file. For example: loFile.cSaveFolder = 'c:\MyApp\MyOutPut\'
		.cSaveFolder     = lcOutPutFilePath

*-- Specifies that output file will be displayed after creation
		.nOutPutType     = cnOUTPUT_SCREEN

*-- Default value is cnIMAGE_OUTPUT_FILE_FORMAT_GIF
		.nImageFileType  = cnIMAGE_OUTPUT_FILE_FORMAT_JPG

*-- Specify Chart's properties
*-- For description of all Chart's properties and methods, please see FRX2Any help file.

*-- Set the main Title of the Chart
		WITH .oPanel

			.cTitle  = 'Sine wave'

			.nWidth  = 800
			.nHeight = 550

*-- Make up some random data points
			DIMENSION laX[100]
			DIMENSION laY[100]

			FOR lnCount = 1 TO 100
				laX(lnCount) = lnCount / 100 * 6.3
				laY(lnCount) = SIN(laX(lnCount))
			NEXT

			loChartCurve = .AddCurve('Sine Wave', @laX, @laY, RGB(0, 0, 255), cnCHART_SYMBOL_TYPE_XCROSS)

			WITH loChartCurve

				WITH .oLine
					WITH .oFill
						.SetGradientFill(RGB(255,255,255), RGB(255, 150, 200), cnGDIPLUS_LINEARGRADIENTMODE_VERTICAL, 200)
					ENDWITH
				ENDWITH

			ENDWITH

		ENDWITH

		.SAVE()

		.RELEASE()

	ENDWITH

ENDIF

